Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Interface OpenMBeanConstructorInfo

All Known Implementing Classes:
  OpenMBeanConstructorInfoSupport

public interface OpenMBeanConstructorInfo

Describes a constructor of an Open MBean.

This interface declares the same methods as the class `MBeanConstructorInfo`. A class implementing this interface (typically `OpenMBeanConstructorInfoSupport`) should extend `MBeanConstructorInfo`.

The `getSignature()` method should return at runtime an array of instances of a subclass of `MBeanParameterInfo` which implements the `OpenMBeanParameterInfo` interface (typically `OpenMBeanParameterInfoSupport`).

Author:
  Young Yang

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the specified obj parameter with this `OpenMBeanConstructorInfo` instance for equality.
`java.lang.String` | `getDescription()` Returns a human readable description of the constructor described by this `OpenMBeanConstructorInfo` instance.
`java.lang.String` | `getName()` Returns the name of the constructor described by this `OpenMBeanConstructorInfo` instance.
`MBeanParameterInfo[]` | `getSignature()` Returns an array of `OpenMBeanParameterInfo` instances describing each parameter in the signature of the constructor described by this `OpenMBeanConstructorInfo` instance.
`int` | `hashCode()` Returns the hash code value for this `OpenMBeanConstructorInfo` instance.
`java.lang.String` | `toString()` Returns a string representation of this `OpenMBeanConstructorInfo` instance.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns a human readable description of the constructor described by this `OpenMBeanConstructorInfo` instance.
  Returns:
    the description.

### getName

    public java.lang.String getName()

  Returns the name of the constructor described by this `OpenMBeanConstructorInfo` instance.
  Returns:
    the name.

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns an array of `OpenMBeanParameterInfo` instances describing each parameter in the signature of the constructor described by this `OpenMBeanConstructorInfo` instance.
  Returns:
    the signature.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the specified obj parameter with this `OpenMBeanConstructorInfo` instance for equality.

  Returns `true` if and only if all of the following statements are true:

  - obj is non null,
  - obj also implements the `OpenMBeanConstructorInfo` interface,
  - their names are equal
  - their signatures are equal.
  This ensures that this `equals` method works properly for obj parameters which are different implementations of the `OpenMBeanConstructorInfo` interface.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to be compared for equality with this `OpenMBeanConstructorInfo` instance;
  Returns:
    `true` if the specified object is equal to this `OpenMBeanConstructorInfo` instance.

### hashCode

    public int hashCode()

  Returns the hash code value for this `OpenMBeanConstructorInfo` instance.

  The hash code of an `OpenMBeanConstructorInfo` instance is the sum of the hash codes of all elements of information used in `equals` comparisons (ie: its name and signature, where the signature hashCode is calculated by a call to `java.util.Arrays.asList(this.getSignature).hashCode()`).

  This ensures that `t1.equals(t2)` implies that `t1.hashCode()==t2.hashCode()` for any two `OpenMBeanConstructorInfo` instances `t1` and `t2`, as required by the general contract of the method `Object.hashCode` .

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code value for this `OpenMBeanConstructorInfo` instance

### toString

    public java.lang.String toString()

  Returns a string representation of this `OpenMBeanConstructorInfo` instance.

  The string representation consists of the name of this class (ie `javax.management.openmbean.OpenMBeanConstructorInfo`), and the name and signature of the described constructor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `OpenMBeanConstructorInfo` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD